> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List journal sessions

GET https://notary-d.docusign.net/restapi/v1.0/accounts/{accountId}/users/{userId}/journal_sessions

This method returns a list of journal sessions by ID for the given user.

Note: This method can only be used by remote notaries to get information about themselves.

[Required authentication scopes](/platform/auth/reference/scopes/): `notary_read`.

Reference: https://developers.docusign.com/docs/notary-api/reference/accounts/userjournalsession/getuserjournalsessions

## Authentication

- `Authorization` header (bearer token, required) — JWT Bearer token from DocuSign authorization server

## Servers

- `https://notary-d.docusign.net/restapi` (Demo, default)
- `https://na-notary.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The account ID GUID.
- `userId` (string, required) — The ID of the user.

### Query parameters

- `startPosition` (integer, optional, default: 0) — The position within the total result set from which to start returning values. Default: 0.
- `count` (integer, optional, default: 100) — The maximum number of results to return. Default: 100.
- `recipientIdsFilter` (string, optional) — Filters returned session records by `notaryRecipientId`. Enter multiple values as a comma-separated list.
- `status` (integer, optional) — Filters returned session records by status. Valid values are: - `Any` (default) - `Incomplete` - `Complete`
- `sort` (integer, optional) — The session attribute to use to sort the results. Valid values are: - `NotarizationDateAsc` - `NotarizationDateDesc` - `LastUpdatedDateAsc` - `LastUpdatedDateDesc` (default)

## Response

### 200

Successful response.

- `resultSetSize` (integer, optional) — The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the value of `totalSetSize`.
- `startPosition` (integer, optional) — The position within the total result set from which to start returning values. Default: 0.
- `endPosition` (integer, optional) — The last index position in the result set.
- `nextUri` (string, optional, nullable) — The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search.
- `priorUri` (string, optional, nullable) — The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search.
- `totalSetSize` (integer, optional) — The total number of items in the result set. This value is always greater than or equal to the value of `resultSetSize`.
- `userJournalSessions` (list of UserJournalSessionSummary, optional, nullable) — An array of user journal session summaries.

## Errors

### 400 Bad Request Error

Bad request.

- `error` (string, optional, nullable) — The code associated with the error condition.
- `errorDescription` (string, optional, nullable) — A description of the error condition.

### 401 Unauthorized Error

Authorization information is missing or invalid.

- `error` (string, optional, nullable) — The code associated with the error condition.
- `errorDescription` (string, optional, nullable) — A description of the error condition.

### 403 Forbidden Error

The connecting user is not permitted to access this endpoint.

- `error` (string, optional, nullable) — The code associated with the error condition.
- `errorDescription` (string, optional, nullable) — A description of the error condition.

## Types

### UserJournalSessionSummary

An object describing a user's notary journal session.

- `journalSessionId` (string, optional) — The ID of the journal session.
- `notaryRecipientId` (string, optional) — ID of the notary who performed the notarization.
- `lastUpdatedDate` (datetime, optional) — The date on which the journal was last updated.
- `notarizationDate` (datetime, optional, nullable) — The date on which the notarization occurred.
- `notarizationType` (string, optional, nullable) — The type of notarization that was performed during this session. Valid values: - `Remote` - `In-person`
- `isComplete` (boolean, optional) — **True** if the journal session is complete.
- `isArchiveAvailable` (boolean, optional) — **True** if an archive file for the journal session is available.

## Examples

**Response**

```json
{
  "resultSetSize": 1,
  "startPosition": 1,
  "endPosition": 1,
  "nextUri": "string",
  "priorUri": "string",
  "totalSetSize": 1,
  "userJournalSessions": [
    {
      "journalSessionId": "string",
      "notaryRecipientId": "string",
      "lastUpdatedDate": "2024-01-15T09:30:00Z",
      "notarizationDate": "2024-01-15T09:30:00Z",
      "notarizationType": "string",
      "isComplete": true,
      "isArchiveAvailable": true
    }
  ]
}
```